Grasshopper

algorithmic modeling for Rhino

Hello everyone,

In python script, I creat a line and a closed pipe. I want to check if a point is in this pipe.

line=rs.AddLine(startPt,endPt)
pipe=rs.AddPipe(line,0,0.1,cap=1)
pipe.IsPointInside(pt,0.001,False)

But I got the error 

'list' object has no attribute 'IsPointInside'

So I modified it as 

pipe[0].IsPointInside(pt,0.001,False)

Now the error becomes 

pipe.IsPointInside(pt,0.001,False)

Apparently, when we use rhinoscriptsyntax, the geometry object becomes Guid object. 

So what can I do otherwise to check if a point is inside of a created brep?

Thank you

Views: 202

About

Translate

Search

Videos

  • Add Videos
  • View All

© 2024   Created by Scott Davidson.   Powered by

Badges  |  Report an Issue  |  Terms of Service